[arch-commits] Commit in libsidplay/repos (3 files)
Eric Bélanger
eric at archlinux.org
Tue Apr 14 04:08:50 UTC 2009
Date: Tuesday, April 14, 2009 @ 00:08:50
Author: eric
Revision: 35572
Fixed svn conflict
Added:
libsidplay/repos/extra-x86_64/libsidplay-1.36.59-gcc43.patch
(from rev 35571, libsidplay/trunk/libsidplay-1.36.59-gcc43.patch)
Modified:
libsidplay/repos/extra-x86_64/ (properties)
libsidplay/repos/extra-x86_64/PKGBUILD
--------------------------------+
PKGBUILD | 24 +++++++++++------------
libsidplay-1.36.59-gcc43.patch | 40 +++++++++++++++++++++++++++++++++++++++
2 files changed, 52 insertions(+), 12 deletions(-)
Property changes on: libsidplay/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
- /libsidplay/trunk:1
+ /libsidplay/trunk:1-35571
Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD 2009-04-14 04:03:52 UTC (rev 35571)
+++ extra-x86_64/PKGBUILD 2009-04-14 04:08:50 UTC (rev 35572)
@@ -4,20 +4,20 @@
pkgname=libsidplay
pkgver=1.36.59
-pkgrel=2
+pkgrel=3
pkgdesc="A library for playing SID music files."
-arch=(i686 x86_64)
-# url="http://sidplay2.sourceforge.net/"
-url="http://www.geocities.com/SiliconValley/Lakes/5147/sidplay/linux.html"
-depends=('glibc' 'gcc')
-pkgurl="http://www.geocities.com/SiliconValley/Lakes/5147/sidplay/packages"
-source=($pkgurl/$pkgname-$pkgver.tgz)
-md5sums=('37c51ba4bd57164b1b0bb7b43b9adece')
+arch=('i686' 'x86_64')
+url="http://critical.ch/distfiles/"
+license=('GPL')
+depends=('gcc-libs')
+options=('!libtool')
+source=(http://critical.ch/distfiles/$pkgname-$pkgver.tgz libsidplay-1.36.59-gcc43.patch)
+md5sums=('37c51ba4bd57164b1b0bb7b43b9adece' 'c24d7bca2639f4fee03c40c7dcaadfee')
build() {
- cd $startdir/src/$pkgname-$pkgver
- ./configure --prefix=/usr
+ cd $srcdir/$pkgname-$pkgver
+ patch -p1 < ../libsidplay-1.36.59-gcc43.patch || return 1
+ ./configure --prefix=/usr || return 1
make || return 1
- make DESTDIR=$startdir/pkg install
- find $startdir/pkg -name '*.la' -exec rm {} \;
+ make DESTDIR=$pkgdir install || return 1
}
Copied: libsidplay/repos/extra-x86_64/libsidplay-1.36.59-gcc43.patch (from rev 35571, libsidplay/trunk/libsidplay-1.36.59-gcc43.patch)
===================================================================
--- extra-x86_64/libsidplay-1.36.59-gcc43.patch (rev 0)
+++ extra-x86_64/libsidplay-1.36.59-gcc43.patch 2009-04-14 04:08:50 UTC (rev 35572)
@@ -0,0 +1,40 @@
+diff --git a/src/sidtune.cpp b/src/sidtune.cpp
+index 4d1d33b..6fbae80 100644
+--- a/src/sidtune.cpp
++++ b/src/sidtune.cpp
+@@ -306,11 +306,7 @@ udword sidTune::loadFile(const char* fileName, ubyte** bufferRef)
+ return 0;
+ }
+ // Open binary input file stream at end of file.
+-#if defined(SID_HAVE_IOS_BIN)
+- ifstream myIn( fileName, ios::in|ios::bin|ios::ate );
+-#else
+ ifstream myIn( fileName, ios::in|ios::binary|ios::ate );
+-#endif
+ // As a replacement for !is_open(), bad() and the NOT-operator
+ // don't seem to work on all systems.
+ #if defined(SID_DONT_HAVE_IS_OPEN)
+@@ -972,11 +968,7 @@ bool sidTune::saveC64dataFile( const char* fileName, bool overWriteFlag )
+ }
+ // Open binary output file stream.
+ else
+-#if defined(SID_HAVE_IOS_BIN)
+- fMyOut.open( fileName, ios::out|ios::bin|ios::trunc );
+-#else
+ fMyOut.open( fileName, ios::out|ios::binary|ios::trunc );
+-#endif
+ if ( !fMyOut )
+ {
+ info.statusString = text_cantCreateFile;
+@@ -1061,11 +1053,7 @@ bool sidTune::savePSIDfile( const char* fileName, bool overWriteFlag )
+ }
+ // Open binary output file stream.
+ else
+-#if defined(SID_HAVE_IOS_BIN)
+- fMyOut.open( fileName, ios::out|ios::bin|ios::trunc );
+-#else
+ fMyOut.open( fileName, ios::out|ios::binary|ios::trunc );
+-#endif
+ if ( !fMyOut )
+ {
+ info.statusString = text_cantCreateFile;
More information about the arch-commits
mailing list